package eu.mhsl.craftattack.spawn.appliances.report;

import eu.mhsl.craftattack.spawn.appliance.ApplianceCommand;
import eu.mhsl.craftattack.spawn.util.text.ComponentUtil;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

public class ReportsCommand extends ApplianceCommand.PlayerChecked<Report> {
    public ReportsCommand() {
        super("reports");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        sender.sendMessage(ComponentUtil.pleaseWait());
        this.getAppliance().queryReports(this.getPlayer());
    }
}
